Subject: bug#10254: closed (Re: bug#10254: 24.0.92; Local variable bibtex-dialect has no effect)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Jan 2012 18:15:02 +0000

Your bug report

#10254: 24.0.92; Local variable bibtex-dialect has no effect

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10254: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10254
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10254: 24.0.92; Local variable bibtex-dialect has no effect
From: "Roland Winkler" <[email-masked]>
To: [email-masked]
Date: Sat, 28 Jan 2012 12:13:46 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

2012-01-28  Roland Winkler  <[email-masked]>

	* textmodes/bibtex.el (bibtex-entry-alist): New function.
	(bibtex-set-dialect): Use it.  Either set global values of
	dialect-dependent variables or bind these variables buffer-locally
	(Bug#10254).
	(bibtex-mode): Call bibtex-set-dialect via
	hack-local-variables-hook.
	(bibtex-dialect): Update docstring.  Add
	safe-local-variable predicate.
	(bibtex-entry-alist, bibtex-field-alist): Initialize via
	bibtex-set-dialect.
	(bibtex-mode-map): Define menu for each dialect.
	(bibtex-entry): Fix docstring.

Subject: 24.0.92; Local variable bibtex-dialect has no effect
From: Uwe Siart <[email-masked]>
To: [email-masked]
Date: Fri, 09 Dec 2011 08:29:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In bibtex-mode I tried to set bibtex-dialect automatically via

,----
| ;; -*- bibtex-dialect: biblatex; -*-
`----

in the first line of a bib file. From "C-h v bibtex-dialect" I get

,----
| bibtex-dialect is a variable defined in `bibtex.el'.
| Its value is biblatex
| Original value was BibTeX
| Local in buffer siart.bib; global value is BibTeX
| 
|   This variable is a file local variable.
`----

as expected. However, when I type e.g. "C-c C-c" inside an entry where a
date field exists instead of a year field, I get the error that the
mandatory field year is missing. This would be correct for
bibtex-dialect BibTeX but not for biblatex.

If I then got to menu 'Entry-Types' and set bibtex-dialect via the menu,
everything is fine i.e. I get biblatex support as expected.

In GNU Emacs 24.0.92.1 (i386-mingw-nt5.1.2600)
 of 2011-12-07 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.6) --no-opt --cflags -ID:/devel/emacs/libs/libXpm-3.5.8/include -ID:/devel/emacs/libs/libXpm-3.5.8/src -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include -ID:/devel/emacs/libs/giflib-4.1.4-1/include -ID:/devel/emacs/libs/jpeg-6b-4/include -ID:/devel/emacs/libs/tiff-3.8.2-1/include -ID:/devel/emacs/libs/gnutls-2.10.1/include --ldflags -LD:/devel/emacs/libs/gnutls-2.10.1/lib'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  iswitchb-mode: t
  electric-pair-mode: t
  display-time-mode: t
  delete-selection-mode: t
  auto-insert-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
y <next> C-h v b i b t e x <tab> d i <tab> <return> 
C-x 1 <down> <down> <down> <down> <down> <down> <down> 
<down> <down> C-c C-c <down> <up> <prior> <prior> <prior> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> C-c m <menu-bar> <Entry-Types> <BibTeX 
dialect> <biblatex> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> C-c C-c <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> C-c C-c C-x u <up> <up> <up> <up> <up> 
<up> C-x 5 b <return> M-x r e p o r t <tab> <retur
n>

Recent messages:
Loading electric...done
Loading iswitchb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Please type y, n, or !: y
Type C-x 1 to delete the help window.
bibtex-format-entry: Mandatory field `year' is missing
scroll-down-command: Beginning of buffer [10 times]
Menu-Bar mode enabled
bibtex-format-entry: Mandatory field `editor' is missing
Undo!

Load-path shadows:
None found.

Features:
(shadow sort rfc1345 quail gnus-util mail-extr message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mailabbrev mail-utils
gmm-utils mailheader emacsbug pp help-mode view latex easy-mmode
tex-style tex advice advice-preload bibtex regexp-opt iswitchb electric
time delsel cus-start cus-load autoinsert tex-site auto-loads
dired-sort-map server x-dict easymenu htmlize help-fns boxquote rect cl
paren edmacro kmacro time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
multi-tty emacs)

-- 
Prof. Dr.-Ing. Uwe Siart
Lehrstuhl für Hochfrequenztechnik
Technische Universität München
Arcisstr. 21, 80333 München, Germany
E-Mail: [email-masked]
Tel.:   +49.89.289.23374
Fax:    +49.89.289.23365